cogl (1.22.4-3) unstable; urgency=medium

  * Team upload
  * d/p/Terminate-tests-with-SIGALRM-if-they-take-more-than-120-s.patch:
    Kill individual tests with SIGALRM if they take more than 120 seconds
    (arbitrary cutoff taken from the Meson build system in Mutter's fork
    of cogl). This avoids failing to build even though failures are ignored,
    and blocking a buildd for 150 minutes, if the test hangs.
    (Closes: #935592)
  * d/p/tests-Show-the-actual-output-from-tests-if-VERBOSE-is-set.patch:
    Show the output of each test. Writing it to a file is not much use
    on buildds, because the build directory is discarded after the build
    finishes anyway.
  * d/control.in: Add missing -dev dependency on libxrandr-dev
  * d/rules: Don't run xvfb-run under nocheck build option
  * d/p/test-premult-Don-t-free-texture-data-until-CoglBitmap-is-.patch:
    Fix a use-after-free in test code, which appears to fix one of the
    known test failures
  * d/p/Don-t-usually-run-tests-that-are-not-expected-to-succeed.patch:
    Don't run tests that are not expected to succeed, unless requested
    by setting $COGL_TEST_TRY_EVERYTHING
  * Canonicalize order of dependencies (wrap-and-sort -a)
  * Canonicalize order of installed file lists (wrap-and-sort -a)
  * Canonicalize Uploaders (wrap-and-sort -a)

 -- Simon McVittie <smcv@debian.org>  Sun, 25 Aug 2019 18:07:05 +0100

cogl (1.22.4-2) unstable; urgency=medium

  * Really include the symbol update...

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 20:01:35 +0200

cogl (1.22.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - update the Standards-Version to 4.4.0.1
  * debian/control.in, debian/compat:
    - update to debhelper12
  * debian/patches/fix-undef-build-failure.patch:
    - remove, the change is in the new version
  * debian/libcogl20.symbols:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 15:46:36 +0200

cogl (1.22.2-6) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 18:43:13 -0500

cogl (1.22.2-5) unstable; urgency=medium

  * Fix incomplete package description for gir1.2-coglgst-2.0 (Closes: #787516)
  * Don't run build tests on armel since they hang on Debian's buildds there.
    The tests don't pass on any of our architectures anyway.

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 17 Sep 2018 09:44:04 -0400

cogl (1.22.2-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/
  * debian/libcogl20.symbols: Add symbol exposed by compiler changes
    (Closes: #895732)
  * Bump Standards-Version to 4.2.1

  [ Simon McVittie ]
  * Remove obsolete Breaks on pre-jessie versions of cogl
  * Add versioned Provides for gir1.2-cogl-2.0 and gir1.2-coglpango-2.0,
    the canonical names for the packages containing Cogl-2.0.typelib and
    CoglPango-2.0.typelib. Note that despite the packages' names, there
    is no Cogl-1.0.typelib or CoglPango-1.0.typelib.
  * Depend on libgl1 and libgles2 instead of transitional packages
    libgl1-mesa-glx and libgles2-mesa (Closes: #905974)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Sep 2018 13:04:26 -0400

cogl (1.22.2-3) unstable; urgency=medium

  * Add debian/patches/fix-undef-build-failure.patch:
    - Patch from Bugzilla to fix kfreebsd build failure
  * Update Vcs fields for conversion to git
  * Add Multi-Arch metadata, thanks multiarch hinter
  * Add debian/gbp.conf
  * Run build tests with xvfb, but still don't fail build for test failures
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.2
  * Build with all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Dec 2017 16:24:19 -0500

cogl (1.22.2-2) unstable; urgency=medium

  * Disable test suite as the tests need a working GL/GLES environment which
    doesn't exist on the buildds.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Aug 2016 12:40:22 +0200

cogl (1.22.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Have libcogl-dev depend on libcairo2-dev

  [ Michael Biebl ]
  * New upstream release.
  * Drop 0001-kms-winsys-don-t-wait-for-a-flip-when-page-flipping-.patch,
    merged upstream.
  * Convert from cdbs to dh.
  * Drop dbg packages now that we have automatic dbgsym packages.
    Ensure proper upgrade to the new dbgsym packages by using
    dh_strip --dbgsym-migration. Bump the Build-Depends on debhelper
    accordingly.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Aug 2016 00:57:01 +0200

cogl (1.22.0-2) unstable; urgency=medium

  * Fix black screen after logout. Patch cherry-picked from upstream Git.
    (Closes: #805763)
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer and move
    Rico Tzschichholz to Uploaders.
  * Bump debhelper compatibility level to 9.
  * Install .typelib files into multiarch paths and mark the gir packages as
    Multi-Arch: same.
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Jan 2016 00:20:18 +0100

cogl (1.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 18 Sep 2015 09:34:15 +0200

cogl (1.21.2-1) experimental; urgency=medium

  * New upstream development release.
  * Update cogl symbols with one addition.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 29 Aug 2015 10:41:00 +0200

cogl (1.20.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 23 May 2015 19:42:54 +0200

cogl (1.20.0-1) experimental; urgency=medium

  * New upstream release
  * Build packages for cogl-gst (gir1.2-coglgst-2.0,
    libcogl-gst20, libcogl-gst-dev)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 04 May 2015 12:41:13 +0200

cogl (1.18.2-3) unstable; urgency=medium

  * Team upload.
  * libcogl20 Breaks libcogl9, libcogl11, libcogl12, libcogl15
    to hint wheezy's apt into doing the right thing on upgrades
    (Closes: #761047)

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Nov 2014 14:51:16 +0000

cogl (1.18.2-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Apply the remaining bits of Samuels Hurd/gles patch to
    debian/control.*in* this time so they don't get lost on clean.
    (Closes: #743316)

  [ Rico Tzschichholz ]
  * Use dh-autoreconf to pick up distro-specific autotools updates
    (Closes: #754819)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 26 Aug 2014 11:06:47 -0700

cogl (1.18.2-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fix the gles dependencies of the libcogl-dev package on hurd-i386
    (Closes: #743316)

  [ Andreas Henriksson ]
  * New upstream release.
  * Add 2 new (arch=linux-any) symbols to debian/libcogl20.symbols

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 12 Jul 2014 09:23:09 +0200

cogl (1.18.0-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Update symbols file for non-linux architectures:
    - (arch=!hurd-any)cogl_egl_context_get_egl_context@Base
    - (arch=linux-any)cogl_wayland_texture_set_region_from_shm_buffer@Base

  [ Samuel Thibault ]
  * Enabling the libgles2-mesa-dev|libgles2-dev build-dep on hurd-any
    (Closes: #742682)

  [ Andreas Henriksson ]
  * drop (arch=!hurd-any) from cogl_egl_context_ symbols.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 26 Mar 2014 11:51:58 +0100

cogl (1.18.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libcogl20.symbols,
    debian/libcogl-path20.symbols:
    + Updated for the new symbols.
  * debian/control.in:
    + Bump breaks on clutter to ensure a lockstep upgrade.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 23 Mar 2014 16:15:48 +0100

cogl (1.17.4-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
  * Rename package for new soname (15->20)
  * Update symbols file
  * Install libcogl-path in libcogl
    - cogl-path was split out from libcogl
  * also install cogl-gles2-1.0.pc in libcogl-gles2-dev
  * Bump Standards-Version to 3.9.5
  * Update debian/copyright for MIT relicensing
  * Specify debian/patches/* as MIT in debian/copyright
    - since debian/* uses LGPL - add debian/patches/* using MIT, even though
      it doesn't (yet) exist, to avoid future problems submitting patches
      upstream that doesn't have an explicit license tag.

  [ Emilio Pozuelo Monfort ]
  * Split libcogl-path into its own package.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Mar 2014 21:13:39 +0100

cogl (1.16.2-1) experimental; urgency=medium

  * New upstream release 1.16.2
    + YV12/I420 support in cogl-gst is fixed.
    + cogl_framebuffer_push_path_clip is fixed.
  * 0001-Fix-build-on-big-endian.patch: Drop, applied upstream.

 -- Iain Lane <laney@debian.org>  Tue, 11 Feb 2014 14:40:15 +0000

cogl (1.16.0-4) experimental; urgency=low

  * debian/rules, debian/libcogl15.symbols: Enable the KMS EGL platform on
    linux
  * debian/control.in: Let libcogl-dev depend on libwayland-dev [linux-any]
  * debian/control.in: Add b-d on libgbm-dev for KMS EGL support

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 03 Nov 2013 21:46:36 +0100

cogl (1.16.0-3) experimental; urgency=low

  * debian/patches/0001-Fix-build-on-big-endian.patch:
    + New patch, fix the build on big endian ports.
  * debian/libcogl15.symbols:
    + Flag cogl_egl_context_get_egl_display as not available on hurd.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 14 Oct 2013 21:37:33 +0200

cogl (1.16.0-2) experimental; urgency=low

  * debian/control.in:
    + Restrict libwayland-dev build dependency to linux.
  * debian/rules:
    + Actually enable wayland support.
    + Fix variable name to follow the new libcogl15 package names.
  * debian/libcogl15.symbols:
    + Add wayland symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 14 Oct 2013 17:18:13 +0200

cogl (1.16.0-1) experimental; urgency=low

  * New upstream release.
  * Build-depend on libwayland-dev (>= 1.1.90) according to configure.ac
  * Rename packages for bumped sonames (12->15)
  * Update symbols files
  * Bump Standards-Version to 3.9.4
  * also install /usr/include/cogl/cogl-path in libcogl-dev
  * Bump libcogl15 breaks libclutter-1.0-0 to (<< 1.15)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 12 Oct 2013 19:58:17 +0200

cogl (1.14.0-3) unstable; urgency=low

  * Add "Breaks: libclutter-1.0-0 (<< 1.14)" in libcogl12 to prevent
    non-working partial upgrades. (Closes: #720371)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 21 Aug 2013 23:41:51 +0200

cogl (1.14.0-2) unstable; urgency=low

  [ Jeremy Bicha ]
  * use canonical Vcs-* fields

  [ Andreas Henriksson ]
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Aug 2013 18:27:29 +0200

cogl (1.14.0-1) experimental; urgency=low

  * New upstream release.
    + debian/patches/Disable-reliance-on-KHR_create_context.patch:
      - Removed, fixed upstream in a different way.
  * debian/control.in,
    debian/rules,
    debian/libcogl12.*,
    debian/libcogl-gles2-12.*,
    debian/libcogl*-dev.install:
    + Split libcogl-gles2 into its own package.
  * debian/rules:
    + Only enable egl/gles2 on linux and kfreebsd.
  * debian/libcogl12.symbols:
    + Mark cogl_egl_context_get_egl_display as not available on hurd.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 25 Mar 2013 18:33:43 +0100

cogl (1.13.4-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
    - soname bump
  * debian/control.in:
    - Bump minimum glib to 2.32
    - Drop obsolete breaks/replaces
    - Bump libclutter-1.0-dev breaks for soname transition

  [ Rico Tzschichholz ]
  * debian/control.in:
    - Build-depend on libxrandr-dev

  [ Hector Oron]
  * Enable cogl-gles2-experimental used by webkit-clutter for WebGL support
  * d/rules: enable cogl-gles2 and DEB_DH_MAKESHLIBS_ARGS_libcogl11.
  * d/libcogl-dev.install: add usr/lib/*/libcogl-gles2.so,
    usr/lib/*/pkgconfig/cogl-gles2-experimental.pc

  [ Gustavo Noronha Silva ]
  * d/libcogl-dev.install:
  - install cogl-gles2 headers as well

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Lower gobject-introspection build-dependency from 1.33.4-1
      to 1.33.4-1~ to ease backports.

  [ Sjoerd Simons ]
  * d/p/Disable-reliance-on-KHR_create_context.patch
    + Added. Don't assume the GL stack supports KHR_create_context to build
      with older mesa (Disables the GL3 driver with EGL)

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Drop libcogl-dev's Breaks on libclutter-1.0-dev, as the latter has
      a minimum dependency on the former that is enough, so the breaks are
      not needed and will only cause upgrade problems.

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 15 Mar 2013 23:02:34 +0100

cogl (1.12.0-1) experimental; urgency=low

  * New upstream release
  * debian/patches/03_select_default_renderer_driver.patch:
    + Dropped, merged upstream
  * debian/patches/04_fix_crash_on_free.patch:
    + Dropped, merged upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 25 Sep 2012 10:07:06 +0200

cogl (1.10.2-6exp1) experimental; urgency=low

  * Bring back multiple backend support from 1.10.2-4 packaging
  * debian/rules: Only build gles2 support on non-hurd (kfreebsd & linux)
  * debian/control.in: Let the -dev package also depends on both GL and GLES
    apart from on hurd

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 21 Jun 2012 09:42:33 +0200

cogl (1.10.2-6) unstable; urgency=low

  * debian/rules: Set the gles2-libname to libGLESv2.so.2 as shipped by Mesa
    (Closes: #678018)
  * debian/patches/04_fix_crash_on_free.patch:
    + Added. Fix crash when freeing an unconnected renderer.
      (Closes: #673433 #676282)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 21 Jun 2012 09:29:45 +0200

cogl (1.10.2-5) unstable; urgency=low

  * Revert to 1.10.2-3, turning on GLESv2 on intel pull in 50MB due to libgbm1
    and libegl1-mesa-drivers which is slightly over the top for enabling a
    uncommon feature. Hopefully the changes can be reapplied after the
    dependencies have gone on a diet.
  * debian/control.in: Make libcogl9 depend on the renderer driver it uses
    (GLES v2 on arm, GL on everything else)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 21 Jun 2012 08:43:59 +0200

cogl (1.10.2-4) unstable; urgency=low

  * debian/patches/03_select_default_renderer_driver.patch:
    + Added. Allow the default renderer driver to be selected at configure time
  * Build both GL and GLESv2 renderer support on all platforms, default to
    GLESv2 on ARM and to GL on everything else.

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 20 Jun 2012 13:49:02 +0200

cogl (1.10.2-3) unstable; urgency=low

  * Make libcogl-pango0 break libcogl5 (<< 1.10.1-1) to avoid partial
    upgrades which can lead to applications like gnome-shell linking against
    both libcogl5 and libcogl9 resulting in a crash. Closes: #668285
  * Drop old Conflicts/Replaces: libcogl2.
  * Fix the Breaks/Replaces for the libcogl-pango split.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 May 2012 16:30:26 +0200

cogl (1.10.2-2) unstable; urgency=low

  * Upload to unstable.
  * debian/watch: Track stable releases.

 -- Michael Biebl <biebl@debian.org>  Tue, 01 May 2012 22:53:13 +0200

cogl (1.10.2-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright: Update Format URL to the final copyright 1.0 spec.

 -- Michael Biebl <biebl@debian.org>  Fri, 27 Apr 2012 00:44:33 +0200

cogl (1.10.0-2) experimental; urgency=low

  * debian/control.in: libcogl-dev breaks libclutter-1.0-dev (<< 1.10)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 01 Apr 2012 14:22:19 +0200

cogl (1.10.0-1) experimental; urgency=low

  [ Michael Biebl ]
  * Change section of gir1.2-cogl-1.0 and gir1.2-coglpango-1.0 to
    introspection.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Jeremy Bicha ]
  * New upstream release.
  * Updated symbols & library name for soname update
  * debian/control.in:
    - Bump minimum glib to 2.28
    - Standards-Version 3.9.3
  * debian/patches/02_disable_armv5t_specific_optimization.patch: Disabled

  [ Rico Tzschichholz ]
  * debian/control.in:
    - Make libcogl-dev depend on gl/gles dev-packages

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 30 Mar 2012 21:14:20 +0200

cogl (1.8.2-1) unstable; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release

  [ Laurent Bigonville ]
  * debian/watch: Switch to .xz tarball

 -- Laurent Bigonville <bigon@debian.org>  Thu, 20 Oct 2011 23:50:14 +0200

cogl (1.8.0-1) unstable; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release
  * debian/*.symbols*,debian/rules:
    - build with EGL/GLES2 on armhf
  * debian/{rules,control*, libcogl2* > libcogl5*}:
    - updated for soname bump
    - conflicts/replaces with libcogl2

  [ Laurent Bigonville ]
  * Split libcogl-pango out of the main libcogl package
  * debian/copyright: Fix copyright file format
  * debian/control.in:
    - Move Vcs-* to the unstable branch
  * debian/rules:
    - Explicitly pass --enable-gdk-pixbuf and --enable-cogl-pango flags
      to the configure

 -- Laurent Bigonville <bigon@debian.org>  Wed, 28 Sep 2011 19:57:34 +0200

cogl (1.7.8-1) experimental; urgency=low

  * New upstream release
  * debian/*.symbols:
    - updated

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 07 Sep 2011 00:07:39 +0200

cogl (1.7.6-2) experimental; urgency=low

  * debian/rules: Fix armel GL configure flags
  * debian/libcogl2.symbols.armel: Add separate symbol file for armel, where
    EGL/GLES2 is used. (thanks Jani Monoses!)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 24 Aug 2011 17:46:41 +0200

cogl (1.7.6-1) experimental; urgency=low

  * Initial upload.
  * debian/patches:
    - add 02_disable_armv5t_specific_optimization.patch from clutter-1.0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 22 Aug 2011 22:51:05 +0200
